---
title: "De geschiedenis in met Zeus"
created_at: 10-05-2021
description: "den nostaligschen tour op met Zeus"
author: "Niko Strijbol"
---

Wie onze site bezoekt heeft nu een hoop leesvoer bijgekregen: de evenementen en blog gaan nu terug tot het jaar 2000!
In deze blog staat kort wat/hoe er toegevoegd is, en daarna wat leuke dingen over het Zeus van weleer.

## Wat en hoe?

De eerste zin zei het al: de blog en evenementen zijn aangevuld tot het academiejaar 2000-2001.
Omdat er in die tijd nog geen onderscheid was tussen blog en evenement, zijn enkel de blogposts die één-op-één overeenkwamen met een evenement ook zo toegevoegd.
Blogposts die meerdere evenementen beschrijven zijn nog steeds een blogpost.

De meeste informatie is afkomstig van de [Wayback Machine](http://web.archive.org/) (❤️ Wayback Machine).
Het is vooral een kwestie van te bepalen onder welke domeinnaam de informatie staat. Gelukkig heeft Zeus er al een aantal gehad (waardoor de kans dat een bepaalde pagina ergens opgeslagen is groter wordt):

- `zeus.ugent.be` - Dé domeinnaam (al is dat nu meer en meer `zeus.gent`). Eerste snapshot op dit domein dateert van [**8 mei 2003**](http://web.archive.org/web/20030508164101/http://www.zeus.ugent.be/).
- `zeus.rug.ac.be` - Basically hetzelfde als hiervoor, toen de UGent nog de RUG (Rijksuniversiteit Gent) was. Het eerste snapshot hier is van [**5 oktober 1999**](http://web.archive.org/web/19991005232153/http://www.zeus.rug.ac.be/).
- `student.rug.ac.be/zeus` - Het webadres van Zeus bij de Dienst StudentenActiviteiten. Hier is het oudste snapshot genomen op [**15 februari 1998**](http://web.archive.org/web/19980215073116/http://www.student.rug.ac.be/zeus/).

Hoewel het oudste snapshot dus 15 februari 1998 is, werken de meeste foto's niet in dat snapshot om een of andere reden (met uitzondering van dit [logo](http://web.archive.org/web/19990202142442/http://student.rug.ac.be/zeus/pics/zeus_k1.gif), het oudste logo van Zeus dat ik gevonden heb).
Het oudste, deftig werkend snapshot is dat van 5 oktober 1999.

De eerste versies van de website met nieuws op de startpagina verschijnen rond het jaar 2000; vanaf dan zijn alle gevonden gegevens overgezet (er zijn er [een aantal](http://web.archive.org/web/19990913001946/http://www.zeus.rug.ac.be/hotnews.shtml) van 1999, maar onze huidige site heeft moeite met 1999, dus dat zal voor een andere keer zijn).
Dat overzetten gebeurde handmatig: uiteindelijk heeft dat twee of drie uurtjes in beslag genomen, waarschijnlijk minder lang dan als ik daar een script voor zou geschreven hebben. Waar mogelijk zijn de links vervangen door links naar de Wayback Machine, zodat de context van de blogposts en evenementen zo goed mogelijk bewaard bleef.

Een klein deel van de evenementen komt ook uit de archieven van de [mailinglijst voor de leden](https://lists.zeus.ugent.be/pipermail/leden/).
De archieven lopen van 2003 tot 2015, en zijn ook altijd interessant om te lezen (ze bevatten in het begin vooral het soort aankondigingen dat nu gebeurt via Mattermost).

## Waarom?

Enerzijds omdat het leuk is als er gearchiveerde data bestaat en ik, zoals iedereen, thuis zit en dus wat tijd had.
Anderzijds kan het nut hebben: oud-leden uit die tijd kijken misschien graag vol nostalgie terug (naar bv. [het bezoek aan een brouwerij](<%= @items['/events/05-06/brouwerijbezoek.md'].path %>)).
Nieuwere leden willen misschien inspiratie opdoen over hoe het er vroeger aan toe ging.
Spoilers:

- sommige dingen veranderen (over [PHP](<%= @items['/blog/00-01/php-lessen.md'].path %>) [zal](<%= @items['/blog/03-04/les-2.md'].path %>) [waarschijnlijk](<%= @items['/blog/05-06/webdev.md'].path %>) niet snel nog eens les gegeven worden)
- andere zijn wat verloren geraakt (de [traditionele](<%= @items['/events/03-04/ribben.md'].path %>) [Ribbetjesavond](<%= @items['/events/02-03/ribben.md'].path %>) wordt nu soms anders ingevuld)
- nog andere zaken blijven hetzelfde (zoals het [verkiezen van een nieuw bestuur](<%= @items['/events/05-06/ledenvergadering-3.md'].path %>) of [cammie](<%= @items['/blog/02-03/voyeur.md'].path %>), die [af en toe](<%= @items['/blog/05-06/webcam.md'].path %>) werkt).


## Intermezzo: DSA is een Zeusproject?

Een nog ouder snapshot vinden we van de [homepage van de Dienst StudentenActiviteiten](http://web.archive.org/web/19971222130916/http://student.rug.ac.be/), van 22/12/1997.
Omdat veel leden van Zeus bij DSA werk(t)en heb je waarschijnlijk de _running gag_ al wel gehoord: "DSA is een Zeusproject".
Nu, wat staat er onderaan de pagina van de DSA in 1997?

> Deze pagina werd ontwikkeld en is onderhouden door ZEUS

🤔


## Wat is Zeus?

We kijken terug naar wat Zeus toen was, om te vergelijken met Zeus in haar huidige vorm.
Herkennen we onszelf daar nog in?

De [geschiedenispagina op de oudste snapshots](http://web.archive.org/web/19980221043915/http://student.rug.ac.be:80/zeus/history.shtml) is nog exact hetzelfde als onze huidige geschiedenispagina, zij het dat de nieuwe versie wat aangevuld is.
Dit is dus niet bijster interessant.

Interessanter is de pagina [_Wat is Zeus WPI?_](http://web.archive.org/web/19980221043835/http://student.rug.ac.be:80/zeus/infozeus.shtml), waarvan we enkele fragmenten kunnen bekijken:

> Zeus WPI staat voor Zeus Werkgroep Informatica. Deze werkgroep richt zich tot alles wat met informatica te maken heeft. [...] Het grootste doel van Zeus WPI is het grote publiek bekend maken met alles wat informatica aangaat.
Zeus WPI werd gesticht in 1991, en heette toen nog Zeus Werkgroep Publieke Informatica. De volledige levenswandel van de werkgroep bestaat ook samengevat. [...]

We kunnen leren dat in 1998 de W**P**I al achterhaald was, zoals het nu nog steeds is.

> We hebben verschillende doelstellingen binnen Zeus WPI. Een algemeen doel is altijd het helpen van de informaticaleek en de informaticafreak op ieder vlak. Daar dit wel een heel complexe en grote zaak is hebben we enkele kleinere doelstellingen opgesteld:
Het verspreiden van de verschillende nieuwste shareware programma's die nuttig kunnen zijn voor de studenten en personeelsleden van de universiteit. (Hier speelt natuurlijk onze FTP-server een belangrijke rol).
Het helpen van de beginnende internetgebruikers aan de RUG. (We bieden verschillende folders aan zoals het alom bekende overleven op RUGnet)
Het geven van raad aan iedereen die er nodig heeft.
Sinds kort houden we er ook nog andere taken op na, zoals het onderhouden van verschillende webservers aangesloten op RUGnet.


Het laatste stukje op deze pagina is nog het meest veranderd: Zeus biedt namelijk geen mirrors meer aan en staat niet meer in voor de distributie van software of cursussen (ook het organiseren van lessen gebeurt nog slechts sporadisch).
Andere dingen zoals het geven van raad aan eender wie de kelder binnenwandelt gebeurt nog steeds.

## Zelf rondsnuisteren

Er zijn nog interessante pagina's op die snapshots:

- [De mirrors](http://web.archive.org/web/20000608202730/http://www.zeus.rug.ac.be/mirrors.shtml), als je eens wilt zien wat je allemaal kon downloaden van Zeus
- [De leden](http://web.archive.org/web/20000608171826/http://www.zeus.rug.ac.be/members.shtml) (toen nog met [proefleden](http://web.archive.org/web/20000608171826/http://www.zeus.rug.ac.be/newlid.shtml))
- [Het machinepark van Zeus in 2000](http://web.archive.org/web/20000122025113/http://www.zeus.rug.ac.be:80/machinepark.shtml) (64 MB RAM, met 14 GB HDD voor de "Webserver, mailserver, ftpserver en backup name server voor subnet.")
- [T-shirts van Zeus is een oude traditie](http://web.archive.org/web/20000615204502/http://www.zeus.rug.ac.be/tshirts.shtml)
- [Het Zeus-logo in 3D](http://web.archive.org/web/20000922221222/http://www.zeus.rug.ac.be/logo.jpg)

Nog een kleine tip als je zelf door de historische sites aan het grasduinen bent: als je op [deze versie van de website](http://web.archive.org/web/20070128094936/http://zeus.ugent.be/) komt, zul je merken dat alle links op de pagina er zo uitzien:

[`http://web.archive.org/web/20070214092156fw_/http://zeus.ugent.be:2080/index.php?menu_item=8&PHPSESSID=a91c46ab8fe8622e78359a92d9ed53ba`](http://web.archive.org/web/20070214092156fw_/http://zeus.ugent.be:2080/index.php?menu_item=8&PHPSESSID=a91c46ab8fe8622e78359a92d9ed53ba)

Deze links bestaan echter niet in de Wayback Machine, maar geen probleem: als je de `PHPSESSID` verwijdert uit de URL, is de kans groot dat de link wel opgeslagen is:

[`http://web.archive.org/web/20070214092156fw_/http://zeus.ugent.be:2080/index.php?menu_item=8`](http://web.archive.org/web/20070730123958fw_/http://zeus.ugent.be:2080/index.php?menu_item=8)


Vergeet tot slot niet dat er voorheen ook al heel wat historische informatie over Zeus op onze site stond:

- [Alle besturen ooit](<%= @items['/about/oud-bestuur.erb'].path %>)
- [De volledige geschiedenis, geheel met tijdlijn](<%= @items['/about/historiek.erb'].path %>)
